;; Copyright (C) 2003 Alex Ott
;;
;; Author: ottalex@rambler.ru
;; Version: $Id$
;; Keywords: 
;; Status: not intended to be distributed yet


(add-to-list 'load-path "/usr/share/emacs/site-lisp/nxml-mode")
(load "rng-auto")
(require 'nxml-menu)

;; You can uncomment this to set nxml-mode as default mode for xml documents
(setq auto-mode-alist
      (cons '("\\.\\(xml\\|xsl\\|rng\\|xhtml\\)\\'" . nxml-mode)
	    auto-mode-alist))

(defun alt-nxml-mode-hook ()
  (local-set-key [return] 'newline-and-indent)
  (local-set-key "\C-c/"  'nxml-finish-element)
  (unify-8859-on-decoding-mode)
  )
(add-hook 'nxml-mode-hook 'alt-nxml-mode-hook)
