%define shortname nxml-mode
%define snapshot 20041004
Version: 0.1.%snapshot
Release: alt1
Name: emacs-%shortname
License: GPL
Group: Editors
Summary: Emacs mode for editing XML
Requires: emacs-common emacsen-startscripts
URL: http://www.thaiopensource.com/

BuildArch: noarch

Source: %shortname-%snapshot.tar.gz
Source1: emacs-%shortname-site-start.el
Source2: nxml-menu.zip

# Automatically added by buildreq on Tue Jun 17 2003
BuildRequires: emacs-common texinfo unzip

%description
This is a new major mode for GNU Emacs for editing XML documents. It
supports editing well-formed XML documents and also provides
schema-sensitive editing of XML documents using RELAX NG Compact Syntax.

%prep
%setup -n %shortname-%snapshot

%build
make clean
make all
unzip %SOURCE2

%install
mkdir -p %buildroot/%_emacslispdir/%shortname
install -m 644 *.el* %buildroot/%_emacslispdir/%shortname
cp -R nxml-manual %buildroot/%_emacslispdir/%shortname
mkdir -p %buildroot/%_infodir
install -m 644 *.info* %buildroot/%_infodir
cp -R schema %buildroot/%_emacslispdir/%shortname
mkdir -p %buildroot/%_sysconfdir/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/%_sysconfdir/emacs/site-start.d/%shortname.el

%post
%install_info nxml-mode.info

%preun
%uninstall_info nxml-mode.info

%files
%doc NEWS TODO README 
%doc test.invalid.xml test.valid.xml nxml-mode.xml nxml-mode.rnc
%_emacslispdir/%shortname
%config(noreplace) %_sysconfdir/emacs/site-start.d/%shortname.el
%_infodir/*

%changelog
* Fri Jul 08 2005 Ivan Fedorov <ns@altlinux.ru> 0.1.20041004-alt1
- 20041004

* Sat Nov 01 2003 Ott Alex <ott@altlinux.ru> 0.1.20031031-alt1
- New snapshot
- adding nxml-menu package

* Mon Oct 20 2003 Ott Alex <ott@altlinux.ru> 0.1.20031018-alt1
- New snapshot
- adding hook example in site start file

* Mon Sep 29 2003 Ott Alex <ott@altlinux.ru> 0.1.20030929-alt1
- New snapshot

* Mon Sep 29 2003 Ott Alex <ott@altlinux.ru> 0.1.20030915-alt1
- First build

